# Imagick::addImage

(PECL imagick 2.0.0)

Imagick::addImage — Adds new image to Imagick object image list

### Description

Imagick::addImage ( Imagick `$source` ) : bool

Adds new image to Imagick object from the current position of the source object. After the operation iterator position is moved at the end of the list.

### Parameters

`source`

  The source Imagick object

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.